Advisory Details

December 22nd, 2006

Novell NetMail IMAP APPEND Buffer Overflow Vulnerability

ZDI-06-054
ZDI-CAN-086

CVE ID CVE-2006-6425
CVSS SCORE
AFFECTED VENDORS Novell
AFFECTED PRODUCTS NetMail
TIPPINGPOINT™ IPS CUSTOMER PROTECTION TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 3868. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Novell NetMail. Successful exploitation requires the attacker to successfully authenticate to the affected service.

The specific flaw exists in the NetMail IMAP server's handling of the APPEND command. A lack of bounds checking on a specific parameter to this command can lead to a stack-based buffer overflow. This vulnerability can be exploited to execute arbitrary code.

VENDOR RESPONSE Novell has issued an update to correct this vulnerability. More details can be found at:
Novell TID #3096026
DISCLOSURE TIMELINE
  • 2006-08-14 - Vulnerability reported to vendor
  • 2006-12-22 - Coordinated public release of advisory
CREDIT Anonymous
BACK TO ADVISORIES